# List Prototypes

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Prototypes"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/shared_prototypes"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Lists active shared prototypes.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"filter","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Filter"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"brand_color":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Specify a hexadecimal color code to represent the branding of the shared prototype.","title":"Brand Color"},"brand_logo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Provide a base64 encoded string of the brand logo image.","title":"Brand Logo"},"created_by_id":{"description":"Unique ID of the user who created the shared prototype.","format":"uuid","title":"Created by ID","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Explain how you expect the users to use this pipeline. Users who visit the shared prototype will see this text. For more information on how to set the right expectations regarding your pipeline, see [Guidelines for Onboarding Your Users](https://docs.cloud.deepset.ai/docs/guidelines-for-onboarding-your-users).","title":"Description"},"expiration_date":{"description":"The date after which the generated link will expire and become invalid. The expiration date must be within 60 days from the current date.","format":"date-time","title":"Expiration date","type":"string"},"file_upload_enabled":{"default":false,"description":"Set `True` if you want your users to be able to upload files in the shared prototype.","title":"File upload enabled","type":"boolean"},"is_revoked":{"description":"If a prototype is revoked, it's no longer accessible with the link.","title":"Is revoked","type":"boolean"},"link":{"description":"The generated link to the shared pipelines.","title":"Link","type":"string"},"login_required":{"default":false,"description":"Select whether users need to log in to access the shared prototype.","title":"Login required","type":"boolean"},"pipeline_names":{"description":"The names of the pipelines which you want to share.","items":{"type":"string"},"title":"Pipeline names","type":"array"},"runtime_params_enabled":{"default":false,"description":"Set `True` if you want your users to be able to use runtime parameters in the shared prototype.","title":"Runtime parameters enabled","type":"boolean"},"shared_pipelines":{"description":"The names of the pipelines which this prototype shares.","items":{"properties":{"name":{"description":"Name of the pipeline.","title":"Pipeline Name","type":"string"}},"required":["name"],"title":"PipelineName","type":"object"},"title":"Pipeline names","type":"array"},"shared_prototype_id":{"description":"The ID of the shared prototype","format":"uuid","title":"Shared Prototype ID","type":"string"},"show_files":{"default":false,"description":"Select `True` if you want your users to be able to view the pipeline files.","title":"Show files","type":"boolean"},"show_metadata_filters":{"default":false,"description":"Select `True` if you want your users to be able to filter the documents by metadata.","title":"Show metadata filters","type":"boolean"}},"required":["expiration_date","shared_prototype_id","created_by_id","link","shared_pipelines","is_revoked","pipeline_names"],"title":"SharedPrototype","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[SharedPrototype]","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
